summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-10-03 22:14:50 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-10-03 22:59:24 +0200
commit2507c4dd038a2b4623f3c1eaa95b607a1c6b54d7 (patch)
tree02fed5c2c8c69a5afb43f012989eed00c08dd9c4 /dev-games
parentnet-irc/inspircd: do add proxy-maint to metadata.xml file. (diff)
downloadgentoo-2507c4dd038a2b4623f3c1eaa95b607a1c6b54d7.tar.gz
gentoo-2507c4dd038a2b4623f3c1eaa95b607a1c6b54d7.tar.bz2
gentoo-2507c4dd038a2b4623f3c1eaa95b607a1c6b54d7.zip
dev-games/physfs: Bump to version 3.0.0
Package-Manager: Portage-2.3.11, Repoman-2.3.3
Diffstat (limited to 'dev-games')
-rw-r--r--dev-games/physfs/Manifest1
-rw-r--r--dev-games/physfs/physfs-3.0.0.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-games/physfs/Manifest b/dev-games/physfs/Manifest
index bdb7b23eccf..54d5e5756f6 100644
--- a/dev-games/physfs/Manifest
+++ b/dev-games/physfs/Manifest
@@ -1 +1,2 @@
DIST physfs-2.0.3.tar.bz2 560628 SHA256 ca862097c0fb451f2cacd286194d071289342c107b6fe69079c079883ff66b69 SHA512 47eff0c81b8dc3bb526766b0a8ad2437d2951867880116d6e6e8f2ec1490e263541fb741867fed6517cc3fa8a9c5651b36e3e02a499f19cfdc5c7261c9707e80 WHIRLPOOL 30362f92d5702842142c08c3183a384876a03e9e3e400364b0fa59c99ffee994667c1ad08fe633ef146e98301789a980a3419f60a18b24b9c341bb74144ccc73
+DIST physfs-3.0.0.tar.bz2 194277 SHA256 f2617d6855ea97ea42e4a8ebcad404354be99dfd8a274eacea92091b27fd7324 SHA512 4293dc72a5b2e41fbd02c4426da7bfc1e94a013d8a332b3124798a91ef27b4a57adef303f23d5e03150855de69cf22fc8bb29e6395725a18e3a12f6c74b4111f WHIRLPOOL e0010e15b2449565939dd5e9d65fb63cbbb78069a0390fc0ba95c7671a484db7470ec300cfd8aaa5810aff7fd14bbc669f8e902a9469ba7d51ebeed6c94b15f4
diff --git a/dev-games/physfs/physfs-3.0.0.ebuild b/dev-games/physfs/physfs-3.0.0.ebuild
new file mode 100644
index 00000000000..6c6a34f418d
--- /dev/null
+++ b/dev-games/physfs/physfs-3.0.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-multilib
+
+DESCRIPTION="Abstraction layer for filesystem and archive access"
+HOMEPAGE="http://icculus.org/physfs/"
+SRC_URI="http://icculus.org/physfs/downloads/${P}.tar.bz2"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc64 ~x86 ~x86-fbsd"
+IUSE="grp hog mvl qpak static-libs wad +zip"
+
+RDEPEND=""
+DEPEND=""
+
+DOCS=( docs/CHANGELOG.txt docs/CREDITS.txt docs/TODO.txt )
+
+src_prepare() {
+ default
+ sed -i -e 's:-Werror::' CMakeLists.txt || die
+ # make sure these libs aren't used
+ rm -rf lzma zlib*
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DPHYSFS_ARCHIVE_7Z=OFF
+ -DPHYSFS_BUILD_SHARED=ON
+ -DPHYSFS_BUILD_TEST=OFF
+ -DPHYSFS_BUILD_WX_TEST=OFF
+ -DPHYSFS_INTERNAL_ZLIB=OFF
+ -DPHYSFS_BUILD_STATIC="$(usex static-libs)"
+ -DPHYSFS_ARCHIVE_GRP="$(usex grp)"
+ -DPHYSFS_ARCHIVE_HOG="$(usex hog)"
+ -DPHYSFS_ARCHIVE_MVL="$(usex mvl)"
+ -DPHYSFS_ARCHIVE_WAD="$(usex wad)"
+ -DPHYSFS_ARCHIVE_QPAK="$(usex qpak)"
+ -DPHYSFS_ARCHIVE_ZIP="$(usex zip)"
+ )
+
+ cmake-multilib_src_configure
+}